--- /dev/null
+xvm-db-backup (0.0.1) unstable; urgency=low
+
+ * Initial Release.
+
+ -- Evan Broder <broder@mit.edu> Sat, 15 Nov 2008 11:34:36 -0500
--- /dev/null
+Source: xvm-db-backup
+Section: servers
+Priority: extra
+Maintainer: SIPB XVM Project <xvm@mit.edu>
+Build-Depends: cdbs, debhelper (>= 5)
+Standards-Version: 3.8.0
+
+Package: xvm-db-backup
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ debathena-kerberos-config, debathena-afs-config,
+ openafs-client, postgresql-client-common
+Description: Configure the database backup on XVM servers
+ Backup the XVM database to AFS hourly
--- /dev/null
+This software was written for the XVM project <xvm@mit.edu>
+of the MIT Student Information Processing Board.
+
+Copyright :
+
+ This program is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 2 of the License, or
+ (at your option) any later version.
+
+ This program is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+
+On Debian systems, the complete text of the GNU General Public License
+can be found in the file /usr/share/common-licenses/GPL.
--- /dev/null
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
--- /dev/null
+#!/usr/bin/pagsh
+
+exec /usr/sbin/xvm-db-backup
--- /dev/null
+xvm-db-backup usr/sbin
--- /dev/null
+#!/bin/bash
+
+set -e
+
+kinit -k "daemon/$(hostname -f)"
+aklog sipb
+
+filename="$(date +%Y-%m-%d-%H-%M.sql.gz)"
+
+/usr/bin/pg_dump -U "$(invirt-getconf db.user)" \
+ -h "$(invirt-getconf db.host)" \
+ "$(invirt-getconf db.dbname)" | gzip - >"$filename"